# Super Spelunker
# Copyright (c) 2007 Philip Allison
#
# http://mangobrain.co.uk/
#
# Originally created for the fourth PyWeek Game Contest
# http://www.pyweek.org/4/
#
# Released under the Artistic License - please read LICENSE or License.txt.
# If you did not receive a copy of the license with this file, please contact
# the author via one of the above URLs, stating where you obtained your package.

import pygame
import os

import spGame
import spResources

#
# Menu & title code
#

class TitleScreen:
	def __init__(self, globals, args):
		# Load & draw the title screen (no colour key)
		self.title = spResources.getGraphic(globals.gDatadir, 'title', False)
		globals.gScreen.blit(self.title, (0, 0))
		# The whole screen needs an update
		globals.gDirtyRects.append(pygame.Rect(0, 0, globals.gXres, globals.gYres))
	def tick(self, globals):
		# Start a new game when return is pressed
		for key in pygame.event.get(pygame.KEYDOWN):
			if (key.key == pygame.K_RETURN):
				globals.gNextLoopClass = spGame.Game
				return (True, None)
		# Don't change main loops
		return (False, None)

class GameOver:
	def __init__(self, globals, args):
		# Load & draw either success or failure screen
		if (args[0]):
			self.screen = spResources.getGraphic(globals.gDatadir, 'win', False)
		else:
			self.screen = spResources.getGraphic(globals.gDatadir, 'lose', False)
		globals.gScreen.blit(self.screen, (0, 0))
		globals.gDirtyRects.append(pygame.Rect(0, 0, globals.gXres, globals.gYres))
	def tick(self, globals):
		for key in pygame.event.get(pygame.KEYDOWN):
			globals.gNextLoopClass = TitleScreen
			return (True, None)
		return (False, None)
