# Super Spelunker
# Copyright (c) 2007 Philip Allison
#
# http://mangobrain.co.uk/
#
# Originally created for the fourth PyWeek Game Contest
# http://www.pyweek.org/4/
#
# Released under the Artistic License - please read LICENSE or License.txt.
# If you did not receive a copy of the license with this file, please contact
# the author via one of the above URLs, stating where you obtained your package.

import pygame
import os

#
# Simple resource loaders
#

__gfx = {}
__snd = {}
__fnt = None

def getGraphic(base, name, transparent = True):
	global __gfx
	if (not __gfx.has_key(name)):
		__gfx[name] = pygame.image.load(base + os.sep + 'gfx' + os.sep + name + '.png')
		if (transparent):
			__gfx[name].set_colorkey((255, 0, 255), pygame.RLEACCEL)
		__gfx[name].convert()
	return __gfx[name]

def getAnim(base, name, transparent = True):
	global __gfx
	if (not __gfx.has_key(name)):
		frames = []
		i = 0
		while (os.path.exists(base + os.sep + 'gfx' + os.sep + name + str(i) + '.png')):
			frame = pygame.image.load(base + os.sep + 'gfx' + os.sep + name + str(i) + '.png')
			if (transparent):
				frame.set_colorkey((255, 0, 255), pygame.RLEACCEL)
			frame.convert()
			frames.append(frame)
			i += 1
		__gfx[name] = frames
	return __gfx[name]

def getDefaultFont():
	global __fnt
	if (__fnt == None):
		if (not pygame.font.get_init()):
			pygame.font.init()
		__fnt = pygame.font.Font(None, 30)
		__fnt.set_bold(True)
	return __fnt
